#!/usr/bin/sh

for source in "$@"; do
    case $source in
	*ChangeLog|*changelog) 
        source-highlight --failsafe -f esc --lang-def=changelog.lang --style-file=esc.style -i "$source" ;;
	*Makefile|*makefile) 
        source-highlight --failsafe -f esc --lang-def=makefile.lang --style-file=esc.style -i "$source" ;;
	*.tar|*.tgz|*.gz|*.bz2|*.xz)
	# The "lesspipe" script may or may not have ".sh" extension.
	lesspipe=$(which lesspipe 2>/dev/null)
	if [ -z "$lesspipe" ]; then
	    lesspipe=$(which lesspipe.sh 2>/dev/null)
	    if [ -z "$lesspipe" ]; then
		lesspipe="lesspipe"
	    fi
	fi
        $lesspipe "$source" ;;
        *) source-highlight --failsafe --infer-lang -f esc --style-file=esc.style -i "$source" ;;
    esac
done
